Subject: RE: [Zope-dev] Zope & Cygwin
From: "Norman Vine" <[email-masked]>
To: "'Chris McDonough'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Thu, 18 Oct 2001 20:18:17 -0400

Chris McDonough writes:
>
>Hope it's OK to continue crossposting this thread.
>
> I wanted to torture test the Zope
>session manager under the cygwin-built Zope using ab, which is good
>real-world threading test.  It appears that neither ab nor wget much like
>something about their communication with the cygwin-built Zope.  Here's a
>wget session with a cygwin-built python/Zope combo:
>
>--22:14:42--  http://localhost/
>           => `index.html'
>Connecting to localhost:80... connected!
>HTTP request sent, awaiting response... 200 OK
>2 Server: Zope/(unreleased version, python 2.1.1, cygwin) ZServer/1.1b1
>3 Date: Wed, 17 Oct 2001 02:14:42 GMT
>4 Connection: close
>5 Content-Type: text/html
>6 Content-Length: 3012
>7
>
>    0K -> .. (freeze)
>
>Here's a session with a VC++-built Zope:
>
>$ wget -S http://localhost:8080/
>--22:17:20--  http://localhost:8080/
>           => `index.html'
>Connecting to localhost:8080... connected!
>HTTP request sent, awaiting response... 200 OK
>2 Server: Zope/(unreleased version, python 2.1.0, win32) ZServer/1.1b1
>3 Date: Wed, 17 Oct 2001 02:17:20 GMT
>4 Connection: close
>5 Content-Type: text/html
>6 Content-Length: 194
>7
>
>    0K ->                                                        [100%]
>
>22:17:20 (9.47 KB/s) - `index.html' saved [194/194]
>
>It's almost as if the wrong content-length is provided by the Cygwin-built
>Zope and both wget and ab are waiting for data.  Browsers OTOH don't seem
to
>care; they happily render the page as its given to them by the Cygwin-built
>Zope.  I'll investigate this further when possible.

Yup...  I get the same results :-(

If you can tell me where the code is in Zope that is determining the
Content-Length I will look into the Python && Cygwin 'C" code that
is being called.

Cheers

Norman

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/